import board
import digitalio
from adafruit_bus_device.spi_device import SPIDevice

#import utime
import time


# Pin definitions
RST_PIN = digitalio.DigitalInOut(board.GP14)
DC_PIN = digitalio.DigitalInOut(board.GP13)
CS_PIN = digitalio.DigitalInOut(board.GP12)
BUSY_PIN = digitalio.DigitalInOut(board.GP15)

# SPI definitions
#spi = board.SPI()
import busio
spi = busio.SPI(board.GP10, board.GP11)

spi_device = SPIDevice(spi, CS_PIN)

# SPI and GPIO pins configuration for Raspberry Pi Pico
#RST_PIN = 14
#DC_PIN = 13
#CS_PIN = 12
#BUSY_PIN = 15
#SPI_SCK_PIN = 10
#SPI_MOSI_PIN = 11

# Configure SPI
#spi = machine.SPI(0, baudrate=4000000, sck=machine.Pin(SPI_SCK_PIN), mosi=machine.Pin(SPI_MOSI_PIN))

# Configure GPIO pins
#rst = machine.Pin(RST_PIN, machine.Pin.OUT)
#dc = machine.Pin(DC_PIN, machine.Pin.OUT)
#cs = machine.Pin(CS_PIN, machine.Pin.OUT)
#busy = machine.Pin(BUSY_PIN, machine.Pin.IN, machine.Pin.PULL_DOWN)

# Delay function
def delay_ms(milliseconds):
    time.sleep(milliseconds / 1000)

